Package org.apache.velocity.util.introspection

# Interface VelPropertyGet

All Known Implementing Classes:
  `UberspectImpl.VelGetterImpl`

public interface VelPropertyGet
Interface defining a 'getter'. For uses when looking for resolution of property references $foo.bar

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethodName()`
returns the method name used to return this 'property'
`Object`
`invoke(Object o)`
invocation method - called when the 'get action' should be preformed and a value returned
`boolean`
`isCacheable()`
specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

## Method Details

### invoke

Object invoke(Object o) throws Exception
invocation method - called when the 'get action' should be preformed and a value returned

Parameters:
  `o` -
Returns:
  The resulting Object.
Throws:
  `Exception`

### isCacheable

boolean isCacheable()
specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

Returns:
  true if can be reused for this class, false if not

### getMethodName

String getMethodName()
returns the method name used to return this 'property'

Returns:
  The method name used to return this 'property'